Subject: Compiling POV-Ray 3.01 with Mingw32 (gcc 2.8.1)
From: [email-masked] (Alain CULOS)

10 May 1998 20:40:05 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: cygwin <[email-masked]>

Hi All,

Yes, I already asked questions about compiling POV ... first answers did half the job for me, a bit of digging lead me to understand that because all files were named .C rather than .c gcc felt obliged to compile for c++, so the -traditional or the -ansi would not work.
But that bit of help drove me onto the right path.
The option I had to use - rather than renaming each file (yes I know a simple script can do the job - but I try to change as little as possible from the original POV-Ray distribution and get it work that way). So rather than renaming each file, I used the '-x c' option which forces it to c rather than c++.

I hope this helps someone else.
Now I have progressed a few steps and I stumble accross a PASCAL call.
Could anyone help me with getting the following PASCAL call to compile.

Extract of the code is :
============
void NEAR PASCAL pvncGetStruct (HWND hWnd, pvncStruct *pvnc) ;
void NEAR PASCAL pvncSetStruct (HWND hWnd, pvncStruct *pvnc) ;
============
The compiler insult is :
======
pvengine.h:346: warning: `stdcall' attribute directive ignored
pvengine.h:346: parse error before `pvncGetStruct'
pvengine.h:347: warning: `stdcall' attribute directive ignored
pvengine.h:347: parse error before `pvncSetStruct'
======
PASCAL is defined as being stdcall in the Mingw32 windows header Windows/Base.h
And of course, as usual, I don't know how to understand this error message.

Again, many thanks in advance, and many thanks to all who helped previously.
Al.

--
ANTI SPAM / ANTI ARROSAGE COMMERCIAL :
Pour me répondre, veuillez enlever le Z de mon adresse.
To answer me, please take out the Z from my address.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".